Skip to main content

updateNotificationPreferences

Update the notification preferences

updateNotificationPreferences(
input: UpdatePreferencesInput!
): UpdatePreferencesPayload

Arguments​

updateNotificationPreferences.input ● UpdatePreferencesInput! non-null input​

Parameters for UpdatePreferences

Type​

UpdatePreferencesPayload object​

Autogenerated return type of UpdatePreferences.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateNotificationPreferences($input: UpdatePreferencesInput!) {\n updateNotificationPreferences(input: $input) { clientMutationId notificationPreference { id name enabled } }\n}","variables":{"input":{"companyId":"<company_id>","templateId":"example","enabled":true,"type":"IN_APP"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute